#include "myFavoriteDataType.h"

bool myFavoriteDataType::operator< (const myFavoriteDataType& rhs) const{ return rating_ < rhs.rating_; }

bool myFavoriteDataType::operator== (const myFavoriteDataType& rhs) const{ return rating_ == rhs.rating_; }

bool myFavoriteDataType::operator> (const myFavoriteDataType& rhs) const{ return rating_ > rhs.rating_; }

bool myFavoriteDataType::operator>= (const myFavoriteDataType& rhs) const{ return !((*this) < rhs); }

bool myFavoriteDataType::operator<= (const myFavoriteDataType& rhs) const{ return !((*this) > rhs);  }

bool myFavoriteDataType::operator!= (const myFavoriteDataType& rhs) const{ return !(rating_ == rhs.rating_); }


// a tv show is best identified by its name and its screening years. Example: Friends(1994-2004)
ostream& operator<<( ostream &output, const myFavoriteDataType &tvshow )
{
	output<< tvshow.title_ << "(" << tvshow.start_year_ << "-" << tvshow.end_year_ <<  ")" ;
	return output;
}