#ifndef MYFAVORITEDATATYPE_H
#define MYFAVORITEDATATYPE_H

#include <iostream>
#include <string>


using namespace std;

// My favorite data type is TV show.
// A TV show has a title, a director, a script writer, 
// starting and ending years, a rating, and a number of episodes.
// I decide a TV show is greater than another one if its
// rating is greater than the other's.
class myFavoriteDataType{
	
	private:
		// by convention, the member variable names end in an underscore.
		string title_, director_, writer_;
		int start_year_, end_year_, episodes_num_;
		float rating_;
		
	public:
		myFavoriteDataType(){}
		
		myFavoriteDataType(string title, string director, string writer,
						   int start_year, int end_year, int episodes_num, float rating):
							title_(title), director_(director), writer_(writer),
							start_year_(start_year), end_year_(end_year), episodes_num_(episodes_num),
							rating_(rating){}
		
		bool operator < (const myFavoriteDataType& rhs) const;
		
		bool operator > (const myFavoriteDataType& rhs) const;
		
		bool operator == (const myFavoriteDataType& rhs) const;

		bool operator != (const myFavoriteDataType& rhs) const;
		
		bool operator <= (const myFavoriteDataType& rhs) const;
		
		bool operator >= (const myFavoriteDataType& rhs) const;
		
		
		friend ostream &operator<<( ostream &output, const myFavoriteDataType &tv_show);
};

#endif